Update a Team's KYC
PUT
/api/v2/account_kycs/{id}
const url = 'https://api.payhero.africa/api/v2/account_kycs/501';const options = { method: 'PUT', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"account_id":63,"entity_type":"business","country_code":"KE","country":"Kenya","kyc_tier":3,"notes":"example","contact_information":{"first_name":"Jane","last_name":"Doe","surname":"example","entity_type":"example","identification_number":12345678,"identification_type":"national_id","secondary_identification_number":1,"secondary_identification_type":"example","status":"example","phone_number":"+254712345678","upload_information":{"identification_front_document":"example","identification_back_document":"example","secondary_identification_front_document":"example","secondary_identification_back_document":"example","selfie_image":"example","tax_document":"example","proof_of_address_document":"example","entity_certificate_document":"example","entity_shareholding_document":"example"}},"entity_information":{"entity_name":"Vendor A Ltd","entity_directors":"example","nature_of_business":"Internet Service Provider","business_type":"limited_company","entity_address":"Westlands","tax_document_number":1,"entity_certificate_number":1,"upload_information":{"identification_front_document":"example","identification_back_document":"example","secondary_identification_front_document":"example","secondary_identification_back_document":"example","selfie_image":"example","tax_document":"example","proof_of_address_document":"example","entity_certificate_document":"example","entity_shareholding_document":"example"}},"account_information":{"currency":"KES","organization_id":"9","account_name":"Vendor A","email":"vendor-a@acme.co","phone_number":"+254711000111","kyc_status":"example","account_status":"example","is_phone_verified":true,"is_email_verified":true}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.payhero.africa/api/v2/account_kycs/501 \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "account_id": 63, "entity_type": "business", "country_code": "KE", "country": "Kenya", "kyc_tier": 3, "notes": "example", "contact_information": { "first_name": "Jane", "last_name": "Doe", "surname": "example", "entity_type": "example", "identification_number": 12345678, "identification_type": "national_id", "secondary_identification_number": 1, "secondary_identification_type": "example", "status": "example", "phone_number": "+254712345678", "upload_information": { "identification_front_document": "example", "identification_back_document": "example", "secondary_identification_front_document": "example", "secondary_identification_back_document": "example", "selfie_image": "example", "tax_document": "example", "proof_of_address_document": "example", "entity_certificate_document": "example", "entity_shareholding_document": "example" } }, "entity_information": { "entity_name": "Vendor A Ltd", "entity_directors": "example", "nature_of_business": "Internet Service Provider", "business_type": "limited_company", "entity_address": "Westlands", "tax_document_number": 1, "entity_certificate_number": 1, "upload_information": { "identification_front_document": "example", "identification_back_document": "example", "secondary_identification_front_document": "example", "secondary_identification_back_document": "example", "selfie_image": "example", "tax_document": "example", "proof_of_address_document": "example", "entity_certificate_document": "example", "entity_shareholding_document": "example" } }, "account_information": { "currency": "KES", "organization_id": "9", "account_name": "Vendor A", "email": "vendor-a@acme.co", "phone_number": "+254711000111", "kyc_status": "example", "account_status": "example", "is_phone_verified": true, "is_email_verified": true } }'Amends a KYC submission (e.g. attach a missing document). Accepts the same fields as Submit.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Example
501Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
account_id
required
integer
Example
63entity_type
individual or business.
string
Example
businesscountry_code
string
Example
KEcountry
string
Example
Kenyakyc_tier
integer
Example
3notes
string
contact_information
object
first_name
string
Example
Janelast_name
string
Example
Doesurname
string
entity_type
string
identification_number
integer
Example
12345678identification_type
string
Example
national_idsecondary_identification_number
integer
secondary_identification_type
string
status
string
phone_number
string
Example
+254712345678upload_information
References to uploaded KYC document files.
object
identification_front_document
string
identification_back_document
string
secondary_identification_front_document
string
secondary_identification_back_document
string
selfie_image
string
tax_document
string
proof_of_address_document
string
entity_certificate_document
string
entity_shareholding_document
string
entity_information
object
entity_name
string
Example
Vendor A Ltdentity_directors
string
nature_of_business
string
Example
Internet Service Providerbusiness_type
string
Example
limited_companyentity_address
string
Example
Westlandstax_document_number
integer
entity_certificate_number
integer
upload_information
References to uploaded KYC document files.
object
identification_front_document
string
identification_back_document
string
secondary_identification_front_document
string
secondary_identification_back_document
string
selfie_image
string
tax_document
string
proof_of_address_document
string
entity_certificate_document
string
entity_shareholding_document
string
account_information
object
currency
string
Example
KESorganization_id
string
Example
9account_name
string
Example
Vendor Aemail
string
Example
vendor-a@acme.cophone_number
string
Example
+254711000111kyc_status
string
account_status
string
is_phone_verified
boolean
is_email_verified
boolean
Responses
Section titled “Responses”The updated KYC record.
Media typeapplication/json
object
account_kyc
object
id
integer
account_id
integer
entity_type
string
status
string
country_code
string
country
string
kyc_tier
integer
notes
string
contact_information
object
first_name
string
last_name
string
surname
string
entity_type
string
identification_number
integer
identification_type
string
secondary_identification_number
integer
secondary_identification_type
string
status
string
phone_number
string
upload_information
References to uploaded KYC document files.
object
identification_front_document
string
identification_back_document
string
secondary_identification_front_document
string
secondary_identification_back_document
string
selfie_image
string
tax_document
string
proof_of_address_document
string
entity_certificate_document
string
entity_shareholding_document
string
entity_information
object
entity_name
string
entity_directors
string
nature_of_business
string
business_type
string
entity_address
string
tax_document_number
integer
entity_certificate_number
integer
upload_information
References to uploaded KYC document files.
object
identification_front_document
string
identification_back_document
string
secondary_identification_front_document
string
secondary_identification_back_document
string
selfie_image
string
tax_document
string
proof_of_address_document
string
entity_certificate_document
string
entity_shareholding_document
string
account_information
object
currency
string
organization_id
string
account_name
string
email
string
phone_number
string
kyc_status
string
account_status
string
is_phone_verified
boolean
is_email_verified
boolean
created_at
string format: date-time
updated_at
string format: date-time
Example
{ "account_kyc": { "id": 501, "account_id": 63, "entity_type": "business", "status": "pending", "country_code": "KE", "country": "Kenya", "kyc_tier": 3, "contact_information": { "first_name": "Jane", "last_name": "Doe", "identification_number": 12345678, "identification_type": "national_id", "phone_number": "+254712345678" }, "entity_information": { "entity_name": "Vendor A Ltd", "nature_of_business": "Internet Service Provider", "business_type": "limited_company", "entity_address": "Westlands" }, "account_information": { "currency": "KES", "organization_id": "9", "account_name": "Vendor A", "email": "vendor-a@acme.co", "phone_number": "+254711000111" } }}Missing or invalid Basic auth credentials.
Media typeapplication/json
object
error_code
string
error_message
string
status_code
integer
Example
{ "error_code": "invalid_argument", "error_message": "the transaction amount is insufficient as it wont cater for cost: (4.62)", "status_code": 400}
